Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 10.3.x for %s
  5. Search 11.x for %s
  6. Other projects
Title Object type File name Summary
RedirectAjaxTest::testRedirectWithAjax function core/modules/views/tests/src/FunctionalJavascript/RedirectAjaxTest.php Ensures that redirects work with ajax.
RedirectBlockForm::submitForm function core/modules/system/tests/modules/form_test/src/Form/RedirectBlockForm.php Form submission handler.
RedirectCommand::__construct function core/lib/Drupal/Core/Ajax/RedirectCommand.php Constructs an RedirectCommand object.
RedirectDestination class core/lib/Drupal/Core/Routing/RedirectDestination.php Provides helpers for redirect destinations.
RedirectDestination.php file core/lib/Drupal/Core/Routing/RedirectDestination.php
RedirectDestination::$destination property core/lib/Drupal/Core/Routing/RedirectDestination.php The destination used by the current request.
RedirectDestination::$requestStack property core/lib/Drupal/Core/Routing/RedirectDestination.php The request stack.
RedirectDestination::$urlGenerator property core/lib/Drupal/Core/Routing/RedirectDestination.php The URL generator.
RedirectDestination::get function core/lib/Drupal/Core/Routing/RedirectDestination.php Gets the destination as a path.
RedirectDestination::getAsArray function core/lib/Drupal/Core/Routing/RedirectDestination.php Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestination::set function core/lib/Drupal/Core/Routing/RedirectDestination.php Sets the destination as URL.
RedirectDestination::__construct function core/lib/Drupal/Core/Routing/RedirectDestination.php Constructs a new RedirectDestination instance.
RedirectDestinationInterface interface core/lib/Drupal/Core/Routing/RedirectDestinationInterface.php Provides an interface for redirect destinations.
RedirectDestinationInterface.php file core/lib/Drupal/Core/Routing/RedirectDestinationInterface.php
RedirectDestinationInterface::get function core/lib/Drupal/Core/Routing/RedirectDestinationInterface.php Gets the destination as a path.
RedirectDestinationInterface::getAsArray function core/lib/Drupal/Core/Routing/RedirectDestinationInterface.php Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationInterface::set function core/lib/Drupal/Core/Routing/RedirectDestinationInterface.php Sets the destination as URL.
RedirectDestinationTest class core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php Tests Drupal\Core\Routing\RedirectDestination.
RedirectDestinationTest.php file core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php
RedirectDestinationTest::$redirectDestination property core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php The tested redirect destination.
RedirectDestinationTest::$requestStack property core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php The request stack.
RedirectDestinationTest::$urlGenerator property core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php The mocked URL generator.
RedirectDestinationTest::providerGet function core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php
RedirectDestinationTest::setUp function core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php
RedirectDestinationTest::setupUrlGenerator function core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php
RedirectDestinationTest::testGet function core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php Tests destination passed via $_GET.
RedirectDestinationTest::testGetAsArray function core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php Tests get as array.
RedirectDestinationTest::testSetAfterGetCall function core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php Tests set after get call.
RedirectDestinationTest::testSetBeforeGetCall function core/tests/Drupal/Tests/Core/Routing/RedirectDestinationTest.php Tests set before get call.
RedirectDestinationTrait trait core/lib/Drupal/Core/Routing/RedirectDestinationTrait.php Wrapper methods for the Redirect Destination.
RedirectDestinationTrait.php file core/lib/Drupal/Core/Routing/RedirectDestinationTrait.php
RedirectDestinationTrait::$redirectDestination property core/lib/Drupal/Core/Routing/RedirectDestinationTrait.php The redirect destination service.
RedirectDestinationTrait::getDestinationArray function core/lib/Drupal/Core/Routing/RedirectDestinationTrait.php Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationTrait::getRedirectDestination function core/lib/Drupal/Core/Routing/RedirectDestinationTrait.php Returns the redirect destination service.
RedirectDestinationTrait::setRedirectDestination function core/lib/Drupal/Core/Routing/RedirectDestinationTrait.php Sets the redirect destination service.
RedirectFormBlock::__construct function core/modules/system/tests/modules/form_test/src/Plugin/Block/RedirectFormBlock.php Constructs a new RedirectFormBlock.
RedirectLeadingSlashesSubscriber class core/lib/Drupal/Core/EventSubscriber/RedirectLeadingSlashesSubscriber.php Redirects paths containing successive slashes to those with single slashes.
RedirectLeadingSlashesSubscriber.php file core/lib/Drupal/Core/EventSubscriber/RedirectLeadingSlashesSubscriber.php
RedirectLeadingSlashesSubscriber::getSubscribedEvents function core/lib/Drupal/Core/EventSubscriber/RedirectLeadingSlashesSubscriber.php
RedirectLeadingSlashesSubscriber::redirect function core/lib/Drupal/Core/EventSubscriber/RedirectLeadingSlashesSubscriber.php Redirects paths containing successive slashes to those with single slashes.
RedirectOnExceptionTest class core/tests/Drupal/KernelTests/RequestProcessing/RedirectOnExceptionTest.php Tests redirects on exception pages.
RedirectOnExceptionTest.php file core/tests/Drupal/KernelTests/RequestProcessing/RedirectOnExceptionTest.php
RedirectOnExceptionTest::$modules property core/tests/Drupal/KernelTests/RequestProcessing/RedirectOnExceptionTest.php Modules to install.
RedirectOnExceptionTest::testRedirectOn404 function core/tests/Drupal/KernelTests/RequestProcessing/RedirectOnExceptionTest.php Tests redirects with a 404.
RedirectResponseSubscriber class core/lib/Drupal/Core/EventSubscriber/RedirectResponseSubscriber.php Allows manipulation of the response object when performing a redirect.
RedirectResponseSubscriber.php file core/lib/Drupal/Core/EventSubscriber/RedirectResponseSubscriber.php
RedirectResponseSubscriber::$ignoreDestination property core/lib/Drupal/Core/EventSubscriber/RedirectResponseSubscriber.php Whether to ignore the destination query parameter when redirecting.
RedirectResponseSubscriber::checkRedirectUrl function core/lib/Drupal/Core/EventSubscriber/RedirectResponseSubscriber.php Allows manipulation of the response object when performing a redirect.
RedirectResponseSubscriber::getDestinationAsAbsoluteUrl function core/lib/Drupal/Core/EventSubscriber/RedirectResponseSubscriber.php Converts the passed in destination into an absolute URL.
RedirectResponseSubscriber::getSubscribedEvents function core/lib/Drupal/Core/EventSubscriber/RedirectResponseSubscriber.php Registers the methods in this class that should be listeners.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.